Subject: Re: [httpapi] Using Date in requests

From: Herbert Van de Sompel <[email-masked]>
Date: Mon, 14 Feb 2022 09:45:02 +0100

Dear Martin,

Probably not really relevant for you but the Memento "Time Travel for the
Web" protocol [1] uses dates in requests using the Accept-Datetime header
as a means to do content negotiation in the datetime dimension. The major
motivation for devising the protocol was achieving a level of
interoperability across web archives. But the protocol can be supported by
all systems that support datetime-based resource versioning such as wikis
etc.

Greetings

Herbert Van de Sompel

[1] HTTP framework for time-based access to resource states - Memento.
Herbert Van de Sompel, Michael L. Nelson, Robert Sanderson. RFC 7089.
http://www.rfc-editor.org/rfc/rfc7089.txt

On Wed, Feb 9, 2022 at 6:30 AM Martin Thomson <[email-masked]> wrote:

> Hi Everyone,
>
> I've just posted
> https://www.ietf.org/archive/id/draft-thomson-httpapi-date-requests-00.html
> which talks about how to use Date in requests.  This is not a typical thing
> you see, but some of the things we're doing elsewhere makes this relevant.
> For example, signing requests [1] and oblivious HTTP [2] - depending on
> circumstances - might want to use Date for managing anti-replay.
>
> I'm bring this here as I think that this group has more direct expertise
> and the work is related to some of the other stuff you are doing, like the
> idempotency-key, which is complementary.  This also uses the problem
> details work (RFC 7807bis) for signaling when Date is missing or incorrect.
>
> I'm happy to go into the use case in more detail if the content of the
> draft isn't clear enough.  Mostly, I'm just doing this so  there is a
> complete and robust solution for how to manage replay for the
> aforementioned work.
>
> Cheers,
> Martin
>
>
> [1]
> https://httpwg.org/http-extensions/draft-ietf-httpbis-message-signatures.html
> [2]
> https://ietf-wg-ohai.github.io/oblivious-http/draft-ietf-ohai-ohttp.html
>
> --
> httpapi mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/httpapi
>

-- 
==================
Herbert Van de Sompel
https://hvdsomp.info
https://orcid.org/0000-0002-0715-6126